## visad
Interface KeyboardBehavior

All Known Implementing Classes:
  KeyboardBehaviorJ2D, KeyboardBehaviorJ3D

public interface KeyboardBehavior

Field Summary
`static int` `NO_MASK` Mask to indicate there are no modifiers for this key.
`static int` `RESET` Identifier for function to reset the display to the original projection or last saved projection
`static int` `TRANSLATE_DOWN` Identifier for function to translate the display downwards
`static int` `TRANSLATE_LEFT` Identifier for function to translate the display to the left
`static int` `TRANSLATE_RIGHT` Identifier for function to translate the display to the right
`static int` `TRANSLATE_UP` Identifier for function to translate the display upwards
`static int` `ZOOM_IN` Identifier for function to zoom in the display
`static int` `ZOOM_OUT` Identifier for function to zoom out the display

Method Summary
`void` `execFunction(int function)` Executes the given function.
`void` `mapKeyToFunction(int function, int keycode, int modifiers)` Maps key represented by keycode & modifiers to the given function.
`void` `processKeyEvent(KeyEvent event)` Process a key event.

Field Detail

### TRANSLATE_UP

    public static final int TRANSLATE_UP

  Identifier for function to translate the display upwards

  See Also:
    Constant Field Values

### TRANSLATE_DOWN

    public static final int TRANSLATE_DOWN

  Identifier for function to translate the display downwards

  See Also:
    Constant Field Values

### TRANSLATE_LEFT

    public static final int TRANSLATE_LEFT

  Identifier for function to translate the display to the left

  See Also:
    Constant Field Values

### TRANSLATE_RIGHT

    public static final int TRANSLATE_RIGHT

  Identifier for function to translate the display to the right

  See Also:
    Constant Field Values

### ZOOM_IN

    public static final int ZOOM_IN

  Identifier for function to zoom in the display

  See Also:
    Constant Field Values

### ZOOM_OUT

    public static final int ZOOM_OUT

  Identifier for function to zoom out the display

  See Also:
    Constant Field Values

### RESET

    public static final int RESET

  Identifier for function to reset the display to the original projection or last saved projection

  See Also:
    `ProjectionControl.resetProjection()`, Constant Field Values

### NO_MASK

    public static final int NO_MASK

  Mask to indicate there are no modifiers for this key.

  See Also:
    `mapKeyToFunction(int function, int keycode, int modifiers)`, Constant Field Values

Method Detail

### mapKeyToFunction

    public void mapKeyToFunction(int function,
                                 int keycode,
                                 int modifiers)

  Maps key represented by keycode & modifiers to the given function. Each function can only have one key/modifier combination assigned to it at a time.

  Parameters:
    `function` - keyboard function (TRANSLATE_UP, ZOOM_IN, etc)
    `keycode` - `KeyEvent` virtual keycodes
    `modifiers` - `InputEvent` key mask
  See Also:
    `KeyEvent`, `InputEvent`

### processKeyEvent

    public void processKeyEvent(KeyEvent event)

  Process a key event. Determines whether a meaningful key was pressed. place.

### execFunction

    public void execFunction(int function)

  Executes the given function.

  Parameters:
    `function` - function to perform (TRANSLATE_UP, ZOOM_IN, etc)